{
  "name": "debughelper",
  "display_name": "DebugHelper",
  "description": "Causes problems intentionally and generates useful data for debugging",
  "group": [
    "transform"
  ],
  "versions": [
    1.0
  ],
  "inputs": 1,
  "outputs": 1,
  "credentials": [],
  "properties": [
    {
      "name": "category",
      "display_name": "Category",
      "kind": "options",
      "required": false,
      "default": "throwError",
      "description": "Does nothing"
    },
    {
      "name": "throwErrorType",
      "display_name": "Error Type",
      "kind": "options",
      "required": false,
      "default": "NodeApiError"
    },
    {
      "name": "throwErrorMessage",
      "display_name": "Error Message",
      "kind": "string",
      "required": false,
      "default": "Node has thrown an error",
      "description": "The message to send as part of the error"
    },
    {
      "name": "memorySizeValue",
      "display_name": "Memory Size to Generate",
      "kind": "number",
      "required": false,
      "description": "The approximate amount of memory to generate. Be generous..."
    },
    {
      "name": "randomDataType",
      "display_name": "Data Type",
      "kind": "options",
      "required": false,
      "default": "user"
    },
    {
      "name": "nanoidAlphabet",
      "display_name": "NanoId Alphabet",
      "kind": "string",
      "required": false,
      "default": "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ",
      "description": "The alphabet to use for generating the nanoIds"
    },
    {
      "name": "nanoidLength",
      "display_name": "NanoId Length",
      "kind": "string",
      "required": false,
      "default": "16",
      "description": "The length of each nanoIds"
    },
    {
      "name": "randomDataSeed",
      "display_name": "Seed",
      "kind": "string",
      "required": false,
      "default": "",
      "description": "If set, seed to use for generating the data (same seed will generate the same data)"
    },
    {
      "name": "randomDataCount",
      "display_name": "Number of Items to Generate",
      "kind": "number",
      "required": false,
      "description": "The number of random data items to generate into an array"
    },
    {
      "name": "randomDataSingleArray",
      "display_name": "Output as Single Array",
      "kind": "boolean",
      "required": false,
      "description": "Whether to output a single array instead of multiple items"
    }
  ],
  "source_path": "/home/mcochran/n8n/packages/nodes-base/nodes/DebugHelper/DebugHelper.node.ts"
}